VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo:
[legend]

## Public Member Functions

| ExportFenceCreateInfo (ExternalFenceHandleTypeFlags handleTypes_=ExternalFenceHandleTypeFlags())
| ExportFenceCreateInfo (VkExportFenceCreateInfo const &rhs)
ExportFenceCreateInfo & | operator= (VkExportFenceCreateInfo const &rhs)
ExportFenceCreateInfo & | setPNext (const void *pNext_)
ExportFenceCreateInfo & | setHandleTypes (ExternalFenceHandleTypeFlags handleTypes_)
| operator VkExportFenceCreateInfo const & () const
| operator VkExportFenceCreateInfo & ()
bool | operator== (ExportFenceCreateInfo const &rhs) const
bool | operator!= (ExportFenceCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
ExternalFenceHandleTypeFlags | handleTypes

## Private Attributes

StructureType | sType = StructureType::eExportFenceCreateInfo

## Detailed Description

Definition at line 33094 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ExportFenceCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::ExportFenceCreateInfo | ( | ExternalFenceHandleTypeFlags | handleTypes_ = `ExternalFenceHandleTypeFlags()` | ) |

inline

Definition at line 33096 of file vulkan.hpp.

: handleTypes( handleTypes_ )
{
}

## ExportFenceCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::ExportFenceCreateInfo | ( | VkExportFenceCreateInfo const & | rhs | ) |

inline

Definition at line 33101 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ExportFenceCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkExportFenceCreateInfo &()

VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::operator VkExportFenceCreateInfo & | ( |  | ) |

inline

Definition at line 33128 of file vulkan.hpp.

{
return *reinterpret_cast<VkExportFenceCreateInfo*>(this);
}

## operator VkExportFenceCreateInfo const &()

VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::operator VkExportFenceCreateInfo const & | ( |  | ) | const

inline

Definition at line 33123 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExportFenceCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::operator!= | ( | ExportFenceCreateInfo const & | rhs | ) | const

inline

Definition at line 33140 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ExportFenceCreateInfo& VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::operator= | ( | VkExportFenceCreateInfo const & | rhs | ) |

inline

Definition at line 33106 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ExportFenceCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::operator== | ( | ExportFenceCreateInfo const & | rhs | ) | const

inline

Definition at line 33133 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( handleTypes == rhs.handleTypes );
}

References handleTypes, pNext, and sType.

Referenced by operator!=().

## setHandleTypes()

ExportFenceCreateInfo& VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::setHandleTypes | ( | ExternalFenceHandleTypeFlags | handleTypes_ | ) |

inline

Definition at line 33117 of file vulkan.hpp.

{
handleTypes = handleTypes_;
return *this;
}

References handleTypes.

## setPNext()

ExportFenceCreateInfo& VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 33111 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## handleTypes

ExternalFenceHandleTypeFlags VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::handleTypes

Definition at line 33150 of file vulkan.hpp.

Referenced by operator==(), and setHandleTypes().

## pNext

const void* VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::pNext = nullptr

Definition at line 33149 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::sType = StructureType::eExportFenceCreateInfo

private

Definition at line 33146 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::handleTypes
ExternalFenceHandleTypeFlags handleTypes
Definition: vulkan.hpp:33150
VkExportFenceCreateInfo
Definition: vulkan_core.h:4443
VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::operator==
bool operator==(ExportFenceCreateInfo const &rhs) const
Definition: vulkan.hpp:33133
VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:33146
VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::ExportFenceCreateInfo
ExportFenceCreateInfo(ExternalFenceHandleTypeFlags handleTypes_=ExternalFenceHandleTypeFlags())
Definition: vulkan.hpp:33096
VULKAN_HPP_NAMESPACE::ExportFenceCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:33149